#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-bluetooth-3.34.3

- Next

  gnome-settings-daemon-3.38.1

- Up
- Home

# gnome-keyring-3.36.0

## Introduction to GNOME Keyring

The GNOME Keyring package contains a daemon that keeps passwords and other secrets for users.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-keyring/3.36/gnome-keyring-3.36.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-keyring/3.36/gnome-keyring-3.36.0.tar.xz

- Download MD5 sum: 38f0732845a510a8dff4f154c3406f65

- Download size: 1.3 MB

- Estimated disk space required: 164 MB

- Estimated build time: 0.3 SBU (Using parallelism=4; add 0.3 SBU for tests)

### GNOME Keyring Dependencies

#### Required

dbus-1.12.20 and Gcr-3.38.1

#### Recommended

Linux-PAM-1.5.1, libxslt-1.1.34, and OpenSSH-8.4p1

#### Optional

LCOV, libcap-ng, GnuPG-2.2.27, and Valgrind-3.16.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gnome-keyring

## Installation of GNOME Keyring

Install GNOME Keyring by running the following commands:

    sed -i 's:"/desktop:"/org:' schema/*.xml &&

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --with-pam-dir=/lib/security &&
    make

A session bus address is necessary to run the tests. To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

sed ... schema/*.xml: This command fixes a deprecated entry in the schema template.

`--with-pam-dir=/lib/security`: This switch specifies where the PAM module will be installed.

## Contents

Installed Programs: gnome-keyring (symlink), gnome-keyring-3, and gnome-keyring-daemon
Installed Libraries: gnome-keyring-pkcs11.so (PKCS#11 module) and pam_gnome_keyring.so (PAM module)
Installed Directory: /usr/lib/gnome-keyring and /usr/share/xdg-desktop-portal

### Short Descriptions

gnome-keyring-daemon | is a session daemon that keeps passwords for users

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  gnome-bluetooth-3.34.3

- Next

  gnome-settings-daemon-3.38.1

- Up
- Home